[openssh-commits] [openssh] 04/04: Output test debug logs on failure.

git+noreply at mindrot.org git+noreply at mindrot.org
Fri Aug 7 16:49:10 AEST 2020


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit a09e98dcae1e26f026029b7142b0e0d10130056f
Author: Darren Tucker <dtucker at dtucker.net>
Date:   Fri Aug 7 15:37:37 2020 +1000

    Output test debug logs on failure.
---
 .github/run_test.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/.github/run_test.sh b/.github/run_test.sh
index f8a97f51..93c3a5e9 100755
--- a/.github/run_test.sh
+++ b/.github/run_test.sh
@@ -18,6 +18,17 @@ done
 
 if [ -z "$LTESTS" ]; then
     make $TEST_TARGET
+    result=$?
 else
     make $TEST_TARGET LTESTS="$LTESTS"
+    result=$?
+fi
+
+if [ "$result" -ne "0" ]; then
+    for i in regress/failed*; do
+        echo -------------------------------------------------------------------------
+        echo LOGFILE $i
+        cat $i
+        echo -------------------------------------------------------------------------
+    done
 fi

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list